// import View from './uni-view/index'
import scrollView from './scroll-view/scroll-view.vue';
import uniView from './uni-view/uni-view.vue';
import uniDrawer from './uni-drawer/uni-drawer.vue';
import uniPopup from './uni-popup/uni-popup.vue';
import checkboxGroup from './checkbox-group/checkbox-group';
import uniCountdown from './uni-countdown/uni-countdown';
import UniNumberBox from './uni-number-box/uni-number-box';
import uniLoadMore from './uni-load-more/uni-load-more';
import wybButton from './wyb-button/wyb-button';
import wxPointsCommit from './wx-points-commit/wx-points-commit';
import myProtocolModal from './my-protocol-modal/my-protocol-modal';
import uniText from './uni-text/index';
import uniButton from './uni-button/index';
// KIP组件
import kIcon from '@/kui/components/k-icon/k-icon'
import kButton from '@/kui/components/k-button/k-button'
import kTab from '@/kui/components/k-tab/k-tab'
import kIllustration from '@/kui/components/k-illustration/k-illustration'
import kPlateNumberKeyboard from '@/kui/components/k-plate-number-input/k-plate-number-keyboard'
import KCard from '@/kui/components/k-card/k-card'
import theme from '@/kui/theme/theme'

// import uniImage from './uni-image/index';
// src/components/wx-points-commit/wx-points-commit.vue
function plugins(Vue) {
  // console.log(33333, Vue)
  // Vue.component("View", View);
  // Vue.component("componen-b", ComponentB);
  // Vue.component("componen-c", ComponentC);
  Vue.component('scroll-view', scrollView);
  Vue.component('uni-view', uniView);
  // Vue.component("view", uniView);
  Vue.component('uni-drawer', uniDrawer);
  Vue.component('uni-popup', uniPopup);
  Vue.component('checkbox-group', checkboxGroup);
  Vue.component('uni-countdown', uniCountdown);
  Vue.component('uni-number-box', UniNumberBox);
  Vue.component('uni-load-more', uniLoadMore);
  Vue.component('wyb-button', wybButton);
  Vue.component('wx-points-commit', wxPointsCommit);
  Vue.component('uni-text', uniText)
  Vue.component('my-protocol-modal', myProtocolModal)
  Vue.component('uni-button', uniButton)
  // KIP组件
  Vue.component('k-icon', kIcon)
  Vue.component('k-button', kButton)
  Vue.component('k-tab', kTab)
  Vue.component('k-illustration', kIllustration)
  Vue.component('k-card', KCard)
  Vue.component('k-plate-number-keyboard', kPlateNumberKeyboard) // 修改程度深，不建议置换
  Vue.prototype.$theme = theme
  // Vue.component('image', uniImage)
}

export default plugins;
